<!DOCTYPE html>
<html><head>
<title>eric7.UI.BrowserModel</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.UI.BrowserModel</h1>
<p>
Module implementing the browser model.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#BrowserClassAttributeItem">BrowserClassAttributeItem</a></td>
<td>Class implementing the data structure for browser class attribute items.</td>
</tr>
<tr>
<td><a href="#BrowserClassAttributesItem">BrowserClassAttributesItem</a></td>
<td>Class implementing the data structure for browser class attributes items.</td>
</tr>
<tr>
<td><a href="#BrowserClassItem">BrowserClassItem</a></td>
<td>Class implementing the data structure for browser class items.</td>
</tr>
<tr>
<td><a href="#BrowserCodingItem">BrowserCodingItem</a></td>
<td>Class implementing the data structure for browser coding items.</td>
</tr>
<tr>
<td><a href="#BrowserDirectoryItem">BrowserDirectoryItem</a></td>
<td>Class implementing the data structure for browser directory items.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem">BrowserFileItem</a></td>
<td>Class implementing the data structure for browser file items.</td>
</tr>
<tr>
<td><a href="#BrowserGlobalsItem">BrowserGlobalsItem</a></td>
<td>Class implementing the data structure for browser globals items.</td>
</tr>
<tr>
<td><a href="#BrowserImportItem">BrowserImportItem</a></td>
<td>Class implementing the data structure for browser imported module and imported names items.</td>
</tr>
<tr>
<td><a href="#BrowserImportsItem">BrowserImportsItem</a></td>
<td>Class implementing the data structure for browser import items.</td>
</tr>
<tr>
<td><a href="#BrowserItem">BrowserItem</a></td>
<td>Class implementing the data structure for browser items.</td>
</tr>
<tr>
<td><a href="#BrowserItemType">BrowserItemType</a></td>
<td>Class defining the various browser item types.</td>
</tr>
<tr>
<td><a href="#BrowserMethodItem">BrowserMethodItem</a></td>
<td>Class implementing the data structure for browser method items.</td>
</tr>
<tr>
<td><a href="#BrowserModel">BrowserModel</a></td>
<td>Class implementing the browser model.</td>
</tr>
<tr>
<td><a href="#BrowserModelType">BrowserModelType</a></td>
<td>Class defining the various browser model types.</td>
</tr>
<tr>
<td><a href="#BrowserSimpleDirectoryItem">BrowserSimpleDirectoryItem</a></td>
<td>Class implementing the data structure for browser simple directory items.</td>
</tr>
<tr>
<td><a href="#BrowserSysPathItem">BrowserSysPathItem</a></td>
<td>Class implementing the data structure for browser sys.path items.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="BrowserClassAttributeItem" ID="BrowserClassAttributeItem"></a>
<h2>BrowserClassAttributeItem</h2>
<p>
    Class implementing the data structure for browser class attribute items.
</p>

<h3>Derived from</h3>
BrowserItem
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#BrowserClassAttributeItem.__init__">BrowserClassAttributeItem</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#BrowserClassAttributeItem.attributeObject">attributeObject</a></td>
<td>Public method returning the class object.</td>
</tr>
<tr>
<td><a href="#BrowserClassAttributeItem.colOffset">colOffset</a></td>
<td>Public method to return the column offset of the item definition.</td>
</tr>
<tr>
<td><a href="#BrowserClassAttributeItem.fileName">fileName</a></td>
<td>Public method returning the filename.</td>
</tr>
<tr>
<td><a href="#BrowserClassAttributeItem.isPublic">isPublic</a></td>
<td>Public method returning the public visibility status.</td>
</tr>
<tr>
<td><a href="#BrowserClassAttributeItem.lessThan">lessThan</a></td>
<td>Public method to check, if the item is less than the other one.</td>
</tr>
<tr>
<td><a href="#BrowserClassAttributeItem.lineno">lineno</a></td>
<td>Public method returning the line number defining this object.</td>
</tr>
<tr>
<td><a href="#BrowserClassAttributeItem.linenos">linenos</a></td>
<td>Public method returning the line numbers this object is assigned to.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="BrowserClassAttributeItem.__init__" ID="BrowserClassAttributeItem.__init__"></a>
<h4>BrowserClassAttributeItem (Constructor)</h4>
<b>BrowserClassAttributeItem</b>(<i>parent, attribute, isClass=False, modelType=BrowserModelType.Generic</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (BrowserItem)</dt>
<dd>
parent item
</dd>
<dt><i>attribute</i> (Attribute)</dt>
<dd>
reference to the attribute object
</dd>
<dt><i>isClass</i> (bool (optional))</dt>
<dd>
flag indicating a class attribute (defaults to False)
</dd>
<dt><i>modelType</i> (BrowserModelType (optional))</dt>
<dd>
type of the browser model (defaults to
            BrowserModelType.Generic)
</dd>
</dl>
<a NAME="BrowserClassAttributeItem.attributeObject" ID="BrowserClassAttributeItem.attributeObject"></a>
<h4>BrowserClassAttributeItem.attributeObject</h4>
<b>attributeObject</b>(<i></i>)
<p>
        Public method returning the class object.
</p>

<dl>
<dt>Return:</dt>
<dd>
reference to the class object
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
Class
</dd>
</dl>
<a NAME="BrowserClassAttributeItem.colOffset" ID="BrowserClassAttributeItem.colOffset"></a>
<h4>BrowserClassAttributeItem.colOffset</h4>
<b>colOffset</b>(<i></i>)
<p>
        Public method to return the column offset of the item definition.
</p>

<dl>
<dt>Return:</dt>
<dd>
column offset defining the object
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
int
</dd>
</dl>
<a NAME="BrowserClassAttributeItem.fileName" ID="BrowserClassAttributeItem.fileName"></a>
<h4>BrowserClassAttributeItem.fileName</h4>
<b>fileName</b>(<i></i>)
<p>
        Public method returning the filename.
</p>

<dl>
<dt>Return:</dt>
<dd>
filename
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="BrowserClassAttributeItem.isPublic" ID="BrowserClassAttributeItem.isPublic"></a>
<h4>BrowserClassAttributeItem.isPublic</h4>
<b>isPublic</b>(<i></i>)
<p>
        Public method returning the public visibility status.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating public visibility
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserClassAttributeItem.lessThan" ID="BrowserClassAttributeItem.lessThan"></a>
<h4>BrowserClassAttributeItem.lessThan</h4>
<b>lessThan</b>(<i>other, column, order</i>)
<p>
        Public method to check, if the item is less than the other one.
</p>

<dl>

<dt><i>other</i> (BrowserItem)</dt>
<dd>
reference to item to compare against
</dd>
<dt><i>column</i> (int)</dt>
<dd>
column number to use for the comparison
</dd>
<dt><i>order</i> (Qt.SortOrder)</dt>
<dd>
sort order (for special sorting)
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
true, if this item is less than other
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserClassAttributeItem.lineno" ID="BrowserClassAttributeItem.lineno"></a>
<h4>BrowserClassAttributeItem.lineno</h4>
<b>lineno</b>(<i></i>)
<p>
        Public method returning the line number defining this object.
</p>

<dl>
<dt>Return:</dt>
<dd>
line number defining the object
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
int
</dd>
</dl>
<a NAME="BrowserClassAttributeItem.linenos" ID="BrowserClassAttributeItem.linenos"></a>
<h4>BrowserClassAttributeItem.linenos</h4>
<b>linenos</b>(<i></i>)
<p>
        Public method returning the line numbers this object is assigned to.
</p>

<dl>
<dt>Return:</dt>
<dd>
line number the object is assigned to
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
list of int
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="BrowserClassAttributesItem" ID="BrowserClassAttributesItem"></a>
<h2>BrowserClassAttributesItem</h2>
<p>
    Class implementing the data structure for browser class attributes items.
</p>

<h3>Derived from</h3>
BrowserItem
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#BrowserClassAttributesItem.__init__">BrowserClassAttributesItem</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#BrowserClassAttributesItem.attributes">attributes</a></td>
<td>Public method returning the attribute list.</td>
</tr>
<tr>
<td><a href="#BrowserClassAttributesItem.isClassAttributes">isClassAttributes</a></td>
<td>Public method returning the attributes type.</td>
</tr>
<tr>
<td><a href="#BrowserClassAttributesItem.lessThan">lessThan</a></td>
<td>Public method to check, if the item is less than the other one.</td>
</tr>
<tr>
<td><a href="#BrowserClassAttributesItem.name">name</a></td>
<td>Public method to return the name of the item.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="BrowserClassAttributesItem.__init__" ID="BrowserClassAttributesItem.__init__"></a>
<h4>BrowserClassAttributesItem (Constructor)</h4>
<b>BrowserClassAttributesItem</b>(<i>parent, attributes, text, isClass=False</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (BrowserItem)</dt>
<dd>
parent item
</dd>
<dt><i>attributes</i> (list of Attribute)</dt>
<dd>
list of attributes
</dd>
<dt><i>text</i> (str)</dt>
<dd>
text to be shown by this item
</dd>
<dt><i>isClass</i> (bool)</dt>
<dd>
flag indicating class attributes
</dd>
</dl>
<a NAME="BrowserClassAttributesItem.attributes" ID="BrowserClassAttributesItem.attributes"></a>
<h4>BrowserClassAttributesItem.attributes</h4>
<b>attributes</b>(<i></i>)
<p>
        Public method returning the attribute list.
</p>

<dl>
<dt>Return:</dt>
<dd>
reference to the list of attributes
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
list of Attribute
</dd>
</dl>
<a NAME="BrowserClassAttributesItem.isClassAttributes" ID="BrowserClassAttributesItem.isClassAttributes"></a>
<h4>BrowserClassAttributesItem.isClassAttributes</h4>
<b>isClassAttributes</b>(<i></i>)
<p>
        Public method returning the attributes type.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating class attributes
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserClassAttributesItem.lessThan" ID="BrowserClassAttributesItem.lessThan"></a>
<h4>BrowserClassAttributesItem.lessThan</h4>
<b>lessThan</b>(<i>other, column, order</i>)
<p>
        Public method to check, if the item is less than the other one.
</p>

<dl>

<dt><i>other</i> (BrowserItem)</dt>
<dd>
reference to item to compare against
</dd>
<dt><i>column</i> (int)</dt>
<dd>
column number to use for the comparison
</dd>
<dt><i>order</i> (Qt.SortOrder)</dt>
<dd>
sort order (for special sorting)
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
true, if this item is less than other
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserClassAttributesItem.name" ID="BrowserClassAttributesItem.name"></a>
<h4>BrowserClassAttributesItem.name</h4>
<b>name</b>(<i></i>)
<p>
        Public method to return the name of the item.
</p>

<dl>
<dt>Return:</dt>
<dd>
name of the item
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="BrowserClassItem" ID="BrowserClassItem"></a>
<h2>BrowserClassItem</h2>
<p>
    Class implementing the data structure for browser class items.
</p>

<h3>Derived from</h3>
BrowserItem
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#BrowserClassItem.__init__">BrowserClassItem</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#BrowserClassItem.boundaries">boundaries</a></td>
<td>Public method returning the boundaries of the method definition.</td>
</tr>
<tr>
<td><a href="#BrowserClassItem.classObject">classObject</a></td>
<td>Public method returning the class object.</td>
</tr>
<tr>
<td><a href="#BrowserClassItem.colOffset">colOffset</a></td>
<td>Public method to return the column offset of the item definition.</td>
</tr>
<tr>
<td><a href="#BrowserClassItem.fileName">fileName</a></td>
<td>Public method returning the filename.</td>
</tr>
<tr>
<td><a href="#BrowserClassItem.isPublic">isPublic</a></td>
<td>Public method returning the public visibility status.</td>
</tr>
<tr>
<td><a href="#BrowserClassItem.lessThan">lessThan</a></td>
<td>Public method to check, if the item is less than the other one.</td>
</tr>
<tr>
<td><a href="#BrowserClassItem.lineno">lineno</a></td>
<td>Public method returning the line number defining this object.</td>
</tr>
<tr>
<td><a href="#BrowserClassItem.name">name</a></td>
<td>Public method to return the name of the item.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="BrowserClassItem.__init__" ID="BrowserClassItem.__init__"></a>
<h4>BrowserClassItem (Constructor)</h4>
<b>BrowserClassItem</b>(<i>parent, cl, filename, modelType=BrowserModelType.Generic</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (BrowserItem)</dt>
<dd>
parent item
</dd>
<dt><i>cl</i> (Class)</dt>
<dd>
Class object to be shown
</dd>
<dt><i>filename</i> (str)</dt>
<dd>
file name of the file defining this class
</dd>
<dt><i>modelType</i> (BrowserModelType (optional))</dt>
<dd>
type of the browser model (defaults to
            BrowserModelType.Generic)
</dd>
</dl>
<a NAME="BrowserClassItem.boundaries" ID="BrowserClassItem.boundaries"></a>
<h4>BrowserClassItem.boundaries</h4>
<b>boundaries</b>(<i></i>)
<p>
        Public method returning the boundaries of the method definition.
</p>

<dl>
<dt>Return:</dt>
<dd>
tuple with start end end line number
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
tuple of (int, int)
</dd>
</dl>
<a NAME="BrowserClassItem.classObject" ID="BrowserClassItem.classObject"></a>
<h4>BrowserClassItem.classObject</h4>
<b>classObject</b>(<i></i>)
<p>
        Public method returning the class object.
</p>

<dl>
<dt>Return:</dt>
<dd>
reference to the class object
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
Class
</dd>
</dl>
<a NAME="BrowserClassItem.colOffset" ID="BrowserClassItem.colOffset"></a>
<h4>BrowserClassItem.colOffset</h4>
<b>colOffset</b>(<i></i>)
<p>
        Public method to return the column offset of the item definition.
</p>

<dl>
<dt>Return:</dt>
<dd>
column offset defining the object
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
int
</dd>
</dl>
<a NAME="BrowserClassItem.fileName" ID="BrowserClassItem.fileName"></a>
<h4>BrowserClassItem.fileName</h4>
<b>fileName</b>(<i></i>)
<p>
        Public method returning the filename.
</p>

<dl>
<dt>Return:</dt>
<dd>
filename
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="BrowserClassItem.isPublic" ID="BrowserClassItem.isPublic"></a>
<h4>BrowserClassItem.isPublic</h4>
<b>isPublic</b>(<i></i>)
<p>
        Public method returning the public visibility status.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating public visibility
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserClassItem.lessThan" ID="BrowserClassItem.lessThan"></a>
<h4>BrowserClassItem.lessThan</h4>
<b>lessThan</b>(<i>other, column, order</i>)
<p>
        Public method to check, if the item is less than the other one.
</p>

<dl>

<dt><i>other</i> (BrowserItem)</dt>
<dd>
reference to item to compare against
</dd>
<dt><i>column</i> (int)</dt>
<dd>
column number to use for the comparison
</dd>
<dt><i>order</i> (Qt.SortOrder)</dt>
<dd>
sort order (for special sorting)
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
true, if this item is less than other
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserClassItem.lineno" ID="BrowserClassItem.lineno"></a>
<h4>BrowserClassItem.lineno</h4>
<b>lineno</b>(<i></i>)
<p>
        Public method returning the line number defining this object.
</p>

<dl>
<dt>Return:</dt>
<dd>
line number defining the object
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
int
</dd>
</dl>
<a NAME="BrowserClassItem.name" ID="BrowserClassItem.name"></a>
<h4>BrowserClassItem.name</h4>
<b>name</b>(<i></i>)
<p>
        Public method to return the name of the item.
</p>

<dl>
<dt>Return:</dt>
<dd>
name of the item
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="BrowserCodingItem" ID="BrowserCodingItem"></a>
<h2>BrowserCodingItem</h2>
<p>
    Class implementing the data structure for browser coding items.
</p>

<h3>Derived from</h3>
BrowserItem
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#BrowserCodingItem.__init__">BrowserCodingItem</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#BrowserCodingItem.lessThan">lessThan</a></td>
<td>Public method to check, if the item is less than the other one.</td>
</tr>
<tr>
<td><a href="#BrowserCodingItem.lineno">lineno</a></td>
<td>Public method returning the line number of the coding line.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="BrowserCodingItem.__init__" ID="BrowserCodingItem.__init__"></a>
<h4>BrowserCodingItem (Constructor)</h4>
<b>BrowserCodingItem</b>(<i>parent, text, linenumber</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (BrowserItem)</dt>
<dd>
parent item
</dd>
<dt><i>text</i> (str)</dt>
<dd>
text to be shown by this item
</dd>
<dt><i>linenumber</i> (int)</dt>
<dd>
line number of the coding line
</dd>
</dl>
<a NAME="BrowserCodingItem.lessThan" ID="BrowserCodingItem.lessThan"></a>
<h4>BrowserCodingItem.lessThan</h4>
<b>lessThan</b>(<i>other, column, order</i>)
<p>
        Public method to check, if the item is less than the other one.
</p>

<dl>

<dt><i>other</i> (BrowserItem)</dt>
<dd>
reference to item to compare against
</dd>
<dt><i>column</i> (int)</dt>
<dd>
column number to use for the comparison
</dd>
<dt><i>order</i> (Qt.SortOrder)</dt>
<dd>
sort order (for special sorting)
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
true, if this item is less than other
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserCodingItem.lineno" ID="BrowserCodingItem.lineno"></a>
<h4>BrowserCodingItem.lineno</h4>
<b>lineno</b>(<i></i>)
<p>
        Public method returning the line number of the coding line.
</p>

<dl>
<dt>Return:</dt>
<dd>
line number defining the coding line
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
int
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="BrowserDirectoryItem" ID="BrowserDirectoryItem"></a>
<h2>BrowserDirectoryItem</h2>
<p>
    Class implementing the data structure for browser directory items.
</p>

<h3>Derived from</h3>
BrowserItem
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#BrowserDirectoryItem.__init__">BrowserDirectoryItem</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#BrowserDirectoryItem.dirName">dirName</a></td>
<td>Public method returning the directory name.</td>
</tr>
<tr>
<td><a href="#BrowserDirectoryItem.lessThan">lessThan</a></td>
<td>Public method to check, if the item is less than the other one.</td>
</tr>
<tr>
<td><a href="#BrowserDirectoryItem.name">name</a></td>
<td>Public method to return the name of the item.</td>
</tr>
<tr>
<td><a href="#BrowserDirectoryItem.setName">setName</a></td>
<td>Public method to set the directory name.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="BrowserDirectoryItem.__init__" ID="BrowserDirectoryItem.__init__"></a>
<h4>BrowserDirectoryItem (Constructor)</h4>
<b>BrowserDirectoryItem</b>(<i>parent, dinfo, full=True, fsInterface=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (BrowserItem)</dt>
<dd>
parent item
</dd>
<dt><i>dinfo</i> (str)</dt>
<dd>
dinfo is the string for the directory
</dd>
<dt><i>full</i> (bool (optional))</dt>
<dd>
flag indicating full pathname should be displayed (defaults to True)
</dd>
<dt><i>fsInterface</i> (EricServerFileSystemInterface (optional))</dt>
<dd>
reference to the 'eric-ide' server file system interface
            (defaults to None)
</dd>
</dl>
<a NAME="BrowserDirectoryItem.dirName" ID="BrowserDirectoryItem.dirName"></a>
<h4>BrowserDirectoryItem.dirName</h4>
<b>dirName</b>(<i></i>)
<p>
        Public method returning the directory name.
</p>

<dl>
<dt>Return:</dt>
<dd>
directory name
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="BrowserDirectoryItem.lessThan" ID="BrowserDirectoryItem.lessThan"></a>
<h4>BrowserDirectoryItem.lessThan</h4>
<b>lessThan</b>(<i>other, column, order</i>)
<p>
        Public method to check, if the item is less than the other one.
</p>

<dl>

<dt><i>other</i> (BrowserItem)</dt>
<dd>
reference to item to compare against
</dd>
<dt><i>column</i> (int)</dt>
<dd>
column number to use for the comparison
</dd>
<dt><i>order</i> (Qt.SortOrder)</dt>
<dd>
sort order (for special sorting)
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
true, if this item is less than other
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserDirectoryItem.name" ID="BrowserDirectoryItem.name"></a>
<h4>BrowserDirectoryItem.name</h4>
<b>name</b>(<i></i>)
<p>
        Public method to return the name of the item.
</p>

<dl>
<dt>Return:</dt>
<dd>
name of the item
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="BrowserDirectoryItem.setName" ID="BrowserDirectoryItem.setName"></a>
<h4>BrowserDirectoryItem.setName</h4>
<b>setName</b>(<i>dinfo, full=True</i>)
<p>
        Public method to set the directory name.
</p>

<dl>

<dt><i>dinfo</i> (str)</dt>
<dd>
dinfo is the string for the directory
</dd>
<dt><i>full</i> (bool)</dt>
<dd>
flag indicating full pathname should be displayed
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="BrowserFileItem" ID="BrowserFileItem"></a>
<h2>BrowserFileItem</h2>
<p>
    Class implementing the data structure for browser file items.
</p>

<h3>Derived from</h3>
BrowserItem
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#BrowserFileItem.__init__">BrowserFileItem</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.dirName">dirName</a></td>
<td>Public method returning the directory name.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.fileExt">fileExt</a></td>
<td>Public method returning the file extension.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.fileName">fileName</a></td>
<td>Public method returning the filename.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.isCythonFile">isCythonFile</a></td>
<td>Public method to check, if this file is a Cython file.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.isDFile">isDFile</a></td>
<td>Public method to check, if this file is a D file.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.isDesignerFile">isDesignerFile</a></td>
<td>Public method to check, if this file is a Qt-Designer file.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.isEricGraphicsFile">isEricGraphicsFile</a></td>
<td>Public method to check, if this is an eric graphics file.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.isJavaScriptFile">isJavaScriptFile</a></td>
<td>Public method to check, if this file is a JavaScript file.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.isLinguistFile">isLinguistFile</a></td>
<td>Public method to check, if this file is a Qt-Linguist file.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.isMultiProjectFile">isMultiProjectFile</a></td>
<td>Public method to check, if this file is an eric multi project file.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.isParsableFile">isParsableFile</a></td>
<td>Public method to check, if the file is supported by class browsers.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.isPdfFile">isPdfFile</a></td>
<td>Public method to check, if this file is a PDF file.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.isPixmapFile">isPixmapFile</a></td>
<td>Public method to check, if this file is a pixmap file.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.isProjectFile">isProjectFile</a></td>
<td>Public method to check, if this file is an eric project file.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.isPython3File">isPython3File</a></td>
<td>Public method to check, if this file is a Python3 script.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.isResourcesFile">isResourcesFile</a></td>
<td>Public method to check, if this file is a Qt-Resources file.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.isRubyFile">isRubyFile</a></td>
<td>Public method to check, if this file is a Ruby script.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.isSvgFile">isSvgFile</a></td>
<td>Public method to check, if this file is a SVG file.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.lessThan">lessThan</a></td>
<td>Public method to check, if the item is less than the other one.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.moduleName">moduleName</a></td>
<td>Public method returning the module name.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.name">name</a></td>
<td>Public method to return the name of the item.</td>
</tr>
<tr>
<td><a href="#BrowserFileItem.setName">setName</a></td>
<td>Public method to set the directory name.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="BrowserFileItem.__init__" ID="BrowserFileItem.__init__"></a>
<h4>BrowserFileItem (Constructor)</h4>
<b>BrowserFileItem</b>(<i>parent, finfo, full=True, sourceLanguage="", fsInterface=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (BrowserItem)</dt>
<dd>
parent item
</dd>
<dt><i>finfo</i> (str)</dt>
<dd>
the string for the file
</dd>
<dt><i>full</i> (bool (optional))</dt>
<dd>
flag indicating full pathname should be displayed (defaults to True)
</dd>
<dt><i>sourceLanguage</i> (str (optional))</dt>
<dd>
source code language of the project (defaults to "")
</dd>
<dt><i>fsInterface</i> (EricServerFileSystemInterface (optional))</dt>
<dd>
reference to the 'eric-ide' server file system interface
            (defaults to None)
</dd>
</dl>
<a NAME="BrowserFileItem.dirName" ID="BrowserFileItem.dirName"></a>
<h4>BrowserFileItem.dirName</h4>
<b>dirName</b>(<i></i>)
<p>
        Public method returning the directory name.
</p>

<dl>
<dt>Return:</dt>
<dd>
directory name
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="BrowserFileItem.fileExt" ID="BrowserFileItem.fileExt"></a>
<h4>BrowserFileItem.fileExt</h4>
<b>fileExt</b>(<i></i>)
<p>
        Public method returning the file extension.
</p>

<dl>
<dt>Return:</dt>
<dd>
file extension
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="BrowserFileItem.fileName" ID="BrowserFileItem.fileName"></a>
<h4>BrowserFileItem.fileName</h4>
<b>fileName</b>(<i></i>)
<p>
        Public method returning the filename.
</p>

<dl>
<dt>Return:</dt>
<dd>
filename
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="BrowserFileItem.isCythonFile" ID="BrowserFileItem.isCythonFile"></a>
<h4>BrowserFileItem.isCythonFile</h4>
<b>isCythonFile</b>(<i></i>)
<p>
        Public method to check, if this file is a Cython file.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating a Cython file
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserFileItem.isDFile" ID="BrowserFileItem.isDFile"></a>
<h4>BrowserFileItem.isDFile</h4>
<b>isDFile</b>(<i></i>)
<p>
        Public method to check, if this file is a D file.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating a D file
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserFileItem.isDesignerFile" ID="BrowserFileItem.isDesignerFile"></a>
<h4>BrowserFileItem.isDesignerFile</h4>
<b>isDesignerFile</b>(<i></i>)
<p>
        Public method to check, if this file is a Qt-Designer file.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating a Qt-Designer file
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserFileItem.isEricGraphicsFile" ID="BrowserFileItem.isEricGraphicsFile"></a>
<h4>BrowserFileItem.isEricGraphicsFile</h4>
<b>isEricGraphicsFile</b>(<i></i>)
<p>
        Public method to check, if this is an eric graphics file.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating an eric graphics file
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserFileItem.isJavaScriptFile" ID="BrowserFileItem.isJavaScriptFile"></a>
<h4>BrowserFileItem.isJavaScriptFile</h4>
<b>isJavaScriptFile</b>(<i></i>)
<p>
        Public method to check, if this file is a JavaScript file.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating a JavaScript file
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserFileItem.isLinguistFile" ID="BrowserFileItem.isLinguistFile"></a>
<h4>BrowserFileItem.isLinguistFile</h4>
<b>isLinguistFile</b>(<i></i>)
<p>
        Public method to check, if this file is a Qt-Linguist file.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating a Qt-Linguist file
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserFileItem.isMultiProjectFile" ID="BrowserFileItem.isMultiProjectFile"></a>
<h4>BrowserFileItem.isMultiProjectFile</h4>
<b>isMultiProjectFile</b>(<i></i>)
<p>
        Public method to check, if this file is an eric multi project file.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating an eric project file
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserFileItem.isParsableFile" ID="BrowserFileItem.isParsableFile"></a>
<h4>BrowserFileItem.isParsableFile</h4>
<b>isParsableFile</b>(<i></i>)
<p>
        Public method to check, if the file is supported by class browsers.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating a supported file
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserFileItem.isPdfFile" ID="BrowserFileItem.isPdfFile"></a>
<h4>BrowserFileItem.isPdfFile</h4>
<b>isPdfFile</b>(<i></i>)
<p>
        Public method to check, if this file is a PDF file.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating a PDF file
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserFileItem.isPixmapFile" ID="BrowserFileItem.isPixmapFile"></a>
<h4>BrowserFileItem.isPixmapFile</h4>
<b>isPixmapFile</b>(<i></i>)
<p>
        Public method to check, if this file is a pixmap file.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating a pixmap file
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserFileItem.isProjectFile" ID="BrowserFileItem.isProjectFile"></a>
<h4>BrowserFileItem.isProjectFile</h4>
<b>isProjectFile</b>(<i></i>)
<p>
        Public method to check, if this file is an eric project file.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating an eric project file
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserFileItem.isPython3File" ID="BrowserFileItem.isPython3File"></a>
<h4>BrowserFileItem.isPython3File</h4>
<b>isPython3File</b>(<i></i>)
<p>
        Public method to check, if this file is a Python3 script.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating a Python3 file
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserFileItem.isResourcesFile" ID="BrowserFileItem.isResourcesFile"></a>
<h4>BrowserFileItem.isResourcesFile</h4>
<b>isResourcesFile</b>(<i></i>)
<p>
        Public method to check, if this file is a Qt-Resources file.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating a Qt-Resources file
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserFileItem.isRubyFile" ID="BrowserFileItem.isRubyFile"></a>
<h4>BrowserFileItem.isRubyFile</h4>
<b>isRubyFile</b>(<i></i>)
<p>
        Public method to check, if this file is a Ruby script.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating a Ruby file
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserFileItem.isSvgFile" ID="BrowserFileItem.isSvgFile"></a>
<h4>BrowserFileItem.isSvgFile</h4>
<b>isSvgFile</b>(<i></i>)
<p>
        Public method to check, if this file is a SVG file.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating a SVG file
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserFileItem.lessThan" ID="BrowserFileItem.lessThan"></a>
<h4>BrowserFileItem.lessThan</h4>
<b>lessThan</b>(<i>other, column, order</i>)
<p>
        Public method to check, if the item is less than the other one.
</p>

<dl>

<dt><i>other</i> (BrowserItem)</dt>
<dd>
reference to item to compare against
</dd>
<dt><i>column</i> (int)</dt>
<dd>
column number to use for the comparison
</dd>
<dt><i>order</i> (Qt.SortOrder)</dt>
<dd>
sort order (for special sorting)
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
true, if this item is less than other
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserFileItem.moduleName" ID="BrowserFileItem.moduleName"></a>
<h4>BrowserFileItem.moduleName</h4>
<b>moduleName</b>(<i></i>)
<p>
        Public method returning the module name.
</p>

<dl>
<dt>Return:</dt>
<dd>
module name
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="BrowserFileItem.name" ID="BrowserFileItem.name"></a>
<h4>BrowserFileItem.name</h4>
<b>name</b>(<i></i>)
<p>
        Public method to return the name of the item.
</p>

<dl>
<dt>Return:</dt>
<dd>
name of the item
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="BrowserFileItem.setName" ID="BrowserFileItem.setName"></a>
<h4>BrowserFileItem.setName</h4>
<b>setName</b>(<i>finfo, full=True</i>)
<p>
        Public method to set the directory name.
</p>

<dl>

<dt><i>finfo</i> (str)</dt>
<dd>
the string for the file
</dd>
<dt><i>full</i> (bool)</dt>
<dd>
flag indicating full path name should be displayed (unused)
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="BrowserGlobalsItem" ID="BrowserGlobalsItem"></a>
<h2>BrowserGlobalsItem</h2>
<p>
    Class implementing the data structure for browser globals items.
</p>

<h3>Derived from</h3>
BrowserClassAttributesItem
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#BrowserGlobalsItem.__init__">BrowserGlobalsItem</a></td>
<td>Constructor</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="BrowserGlobalsItem.__init__" ID="BrowserGlobalsItem.__init__"></a>
<h4>BrowserGlobalsItem (Constructor)</h4>
<b>BrowserGlobalsItem</b>(<i>parent, attributes, text</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (BrowserItem)</dt>
<dd>
parent item
</dd>
<dt><i>attributes</i> (list of Attribute)</dt>
<dd>
list of attributes
</dd>
<dt><i>text</i> (str)</dt>
<dd>
text to be shown by this item
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="BrowserImportItem" ID="BrowserImportItem"></a>
<h2>BrowserImportItem</h2>
<p>
    Class implementing the data structure for browser imported module and
    imported names items.
</p>

<h3>Derived from</h3>
BrowserItem
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#BrowserImportItem.__init__">BrowserImportItem</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#BrowserImportItem.fileName">fileName</a></td>
<td>Public method returning the filename.</td>
</tr>
<tr>
<td><a href="#BrowserImportItem.lessThan">lessThan</a></td>
<td>Public method to check, if the item is less than the other one.</td>
</tr>
<tr>
<td><a href="#BrowserImportItem.lineno">lineno</a></td>
<td>Public method returning the line number of the first import.</td>
</tr>
<tr>
<td><a href="#BrowserImportItem.linenos">linenos</a></td>
<td>Public method returning the line numbers of all imports.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="BrowserImportItem.__init__" ID="BrowserImportItem.__init__"></a>
<h4>BrowserImportItem (Constructor)</h4>
<b>BrowserImportItem</b>(<i>parent, text, filename, lineNumbers, isModule=True, modelType=BrowserModelType.Generic, </i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (BrowserItem)</dt>
<dd>
parent item
</dd>
<dt><i>text</i> (str)</dt>
<dd>
text to be shown by this item
</dd>
<dt><i>filename</i> (str)</dt>
<dd>
name of the file
</dd>
<dt><i>lineNumbers</i> (list of int)</dt>
<dd>
list of line numbers of the import statement
</dd>
<dt><i>isModule</i> (bool (optional))</dt>
<dd>
flag indicating a module item entry (defaults to True)
</dd>
<dt><i>modelType</i> (BrowserModelType (optional))</dt>
<dd>
type of the browser model (defaults to
            BrowserModelType.Generic)
</dd>
</dl>
<a NAME="BrowserImportItem.fileName" ID="BrowserImportItem.fileName"></a>
<h4>BrowserImportItem.fileName</h4>
<b>fileName</b>(<i></i>)
<p>
        Public method returning the filename.
</p>

<dl>
<dt>Return:</dt>
<dd>
filename
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="BrowserImportItem.lessThan" ID="BrowserImportItem.lessThan"></a>
<h4>BrowserImportItem.lessThan</h4>
<b>lessThan</b>(<i>other, column, order</i>)
<p>
        Public method to check, if the item is less than the other one.
</p>

<dl>

<dt><i>other</i> (BrowserItem)</dt>
<dd>
reference to item to compare against
</dd>
<dt><i>column</i> (int)</dt>
<dd>
column number to use for the comparison
</dd>
<dt><i>order</i> (Qt.SortOrder)</dt>
<dd>
sort order (for special sorting)
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
true, if this item is less than other
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserImportItem.lineno" ID="BrowserImportItem.lineno"></a>
<h4>BrowserImportItem.lineno</h4>
<b>lineno</b>(<i></i>)
<p>
        Public method returning the line number of the first import.
</p>

<dl>
<dt>Return:</dt>
<dd>
line number of the first import
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
int
</dd>
</dl>
<a NAME="BrowserImportItem.linenos" ID="BrowserImportItem.linenos"></a>
<h4>BrowserImportItem.linenos</h4>
<b>linenos</b>(<i></i>)
<p>
        Public method returning the line numbers of all imports.
</p>

<dl>
<dt>Return:</dt>
<dd>
line numbers of all imports
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
list of int
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="BrowserImportsItem" ID="BrowserImportsItem"></a>
<h2>BrowserImportsItem</h2>
<p>
    Class implementing the data structure for browser import items.
</p>

<h3>Derived from</h3>
BrowserItem
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#BrowserImportsItem.__init__">BrowserImportsItem</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#BrowserImportsItem.lessThan">lessThan</a></td>
<td>Public method to check, if the item is less than the other one.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="BrowserImportsItem.__init__" ID="BrowserImportsItem.__init__"></a>
<h4>BrowserImportsItem (Constructor)</h4>
<b>BrowserImportsItem</b>(<i>parent, text</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (BrowserItem)</dt>
<dd>
parent item
</dd>
<dt><i>text</i> (str)</dt>
<dd>
text to be shown by this item
</dd>
</dl>
<a NAME="BrowserImportsItem.lessThan" ID="BrowserImportsItem.lessThan"></a>
<h4>BrowserImportsItem.lessThan</h4>
<b>lessThan</b>(<i>other, column, order</i>)
<p>
        Public method to check, if the item is less than the other one.
</p>

<dl>

<dt><i>other</i> (BrowserItem)</dt>
<dd>
reference to item to compare against
</dd>
<dt><i>column</i> (int)</dt>
<dd>
column number to use for the comparison
</dd>
<dt><i>order</i> (Qt.SortOrder)</dt>
<dd>
sort order (for special sorting)
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
true, if this item is less than other
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="BrowserItem" ID="BrowserItem"></a>
<h2>BrowserItem</h2>
<p>
    Class implementing the data structure for browser items.
</p>

<h3>Derived from</h3>
None
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#BrowserItem.__init__">BrowserItem</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#BrowserItem.appendChild">appendChild</a></td>
<td>Public method to add a child to this item.</td>
</tr>
<tr>
<td><a href="#BrowserItem.child">child</a></td>
<td>Public method to get a child id.</td>
</tr>
<tr>
<td><a href="#BrowserItem.childCount">childCount</a></td>
<td>Public method to get the number of available child items.</td>
</tr>
<tr>
<td><a href="#BrowserItem.children">children</a></td>
<td>Public method to get the ids of all child items.</td>
</tr>
<tr>
<td><a href="#BrowserItem.colOffset">colOffset</a></td>
<td>Public method to return the column offset of the item definition.</td>
</tr>
<tr>
<td><a href="#BrowserItem.columnCount">columnCount</a></td>
<td>Public method to get the number of available data items.</td>
</tr>
<tr>
<td><a href="#BrowserItem.data">data</a></td>
<td>Public method to get a specific data item.</td>
</tr>
<tr>
<td><a href="#BrowserItem.getIcon">getIcon</a></td>
<td>Public method to get the items icon.</td>
</tr>
<tr>
<td><a href="#BrowserItem.isLazyPopulated">isLazyPopulated</a></td>
<td>Public method to check, if this item should be populated lazyly.</td>
</tr>
<tr>
<td><a href="#BrowserItem.isPopulated">isPopulated</a></td>
<td>Public method to chek, if this item is populated.</td>
</tr>
<tr>
<td><a href="#BrowserItem.isPublic">isPublic</a></td>
<td>Public method returning the public visibility status.</td>
</tr>
<tr>
<td><a href="#BrowserItem.isSymlink">isSymlink</a></td>
<td>Public method to check, if the items is a symbolic link.</td>
</tr>
<tr>
<td><a href="#BrowserItem.lessThan">lessThan</a></td>
<td>Public method to check, if the item is less than the other one.</td>
</tr>
<tr>
<td><a href="#BrowserItem.lineno">lineno</a></td>
<td>Public method to return the line number of the item.</td>
</tr>
<tr>
<td><a href="#BrowserItem.parent">parent</a></td>
<td>Public method to get the reference to the parent item.</td>
</tr>
<tr>
<td><a href="#BrowserItem.removeChild">removeChild</a></td>
<td>Public method to remove a child.</td>
</tr>
<tr>
<td><a href="#BrowserItem.removeChildren">removeChildren</a></td>
<td>Public method to remove all children.</td>
</tr>
<tr>
<td><a href="#BrowserItem.row">row</a></td>
<td>Public method to get the row number of this item.</td>
</tr>
<tr>
<td><a href="#BrowserItem.type">type</a></td>
<td>Public method to get the item type.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="BrowserItem.__init__" ID="BrowserItem.__init__"></a>
<h4>BrowserItem (Constructor)</h4>
<b>BrowserItem</b>(<i>parent, data</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (BrowserItem)</dt>
<dd>
reference to the parent item
</dd>
<dt><i>data</i> (Any)</dt>
<dd>
single data of the item
</dd>
</dl>
<a NAME="BrowserItem.appendChild" ID="BrowserItem.appendChild"></a>
<h4>BrowserItem.appendChild</h4>
<b>appendChild</b>(<i>child</i>)
<p>
        Public method to add a child to this item.
</p>

<dl>

<dt><i>child</i> (BrowserItem)</dt>
<dd>
reference to the child item to add
</dd>
</dl>
<a NAME="BrowserItem.child" ID="BrowserItem.child"></a>
<h4>BrowserItem.child</h4>
<b>child</b>(<i>row</i>)
<p>
        Public method to get a child id.
</p>

<dl>

<dt><i>row</i> (int)</dt>
<dd>
number of child to get the id of
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
reference to the child item
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
BrowserItem
</dd>
</dl>
<a NAME="BrowserItem.childCount" ID="BrowserItem.childCount"></a>
<h4>BrowserItem.childCount</h4>
<b>childCount</b>(<i></i>)
<p>
        Public method to get the number of available child items.
</p>

<dl>
<dt>Return:</dt>
<dd>
number of child items
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
int
</dd>
</dl>
<a NAME="BrowserItem.children" ID="BrowserItem.children"></a>
<h4>BrowserItem.children</h4>
<b>children</b>(<i></i>)
<p>
        Public method to get the ids of all child items.
</p>

<dl>
<dt>Return:</dt>
<dd>
references to all child items
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
list of BrowserItem
</dd>
</dl>
<a NAME="BrowserItem.colOffset" ID="BrowserItem.colOffset"></a>
<h4>BrowserItem.colOffset</h4>
<b>colOffset</b>(<i></i>)
<p>
        Public method to return the column offset of the item definition.
</p>

<dl>
<dt>Return:</dt>
<dd>
column offset defining the object
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
int
</dd>
</dl>
<a NAME="BrowserItem.columnCount" ID="BrowserItem.columnCount"></a>
<h4>BrowserItem.columnCount</h4>
<b>columnCount</b>(<i></i>)
<p>
        Public method to get the number of available data items.
</p>

<dl>
<dt>Return:</dt>
<dd>
number of data items
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
int
</dd>
</dl>
<a NAME="BrowserItem.data" ID="BrowserItem.data"></a>
<h4>BrowserItem.data</h4>
<b>data</b>(<i>column</i>)
<p>
        Public method to get a specific data item.
</p>

<dl>

<dt><i>column</i> (int)</dt>
<dd>
number of the requested data item
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
stored data item
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
Any
</dd>
</dl>
<a NAME="BrowserItem.getIcon" ID="BrowserItem.getIcon"></a>
<h4>BrowserItem.getIcon</h4>
<b>getIcon</b>(<i></i>)
<p>
        Public method to get the items icon.
</p>

<dl>
<dt>Return:</dt>
<dd>
the icon
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
QIcon
</dd>
</dl>
<a NAME="BrowserItem.isLazyPopulated" ID="BrowserItem.isLazyPopulated"></a>
<h4>BrowserItem.isLazyPopulated</h4>
<b>isLazyPopulated</b>(<i></i>)
<p>
        Public method to check, if this item should be populated lazyly.
</p>

<dl>
<dt>Return:</dt>
<dd>
lazy population flag
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserItem.isPopulated" ID="BrowserItem.isPopulated"></a>
<h4>BrowserItem.isPopulated</h4>
<b>isPopulated</b>(<i></i>)
<p>
        Public method to chek, if this item is populated.
</p>

<dl>
<dt>Return:</dt>
<dd>
population status
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserItem.isPublic" ID="BrowserItem.isPublic"></a>
<h4>BrowserItem.isPublic</h4>
<b>isPublic</b>(<i></i>)
<p>
        Public method returning the public visibility status.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating public visibility
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserItem.isSymlink" ID="BrowserItem.isSymlink"></a>
<h4>BrowserItem.isSymlink</h4>
<b>isSymlink</b>(<i></i>)
<p>
        Public method to check, if the items is a symbolic link.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating a symbolic link
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserItem.lessThan" ID="BrowserItem.lessThan"></a>
<h4>BrowserItem.lessThan</h4>
<b>lessThan</b>(<i>other, column, _order</i>)
<p>
        Public method to check, if the item is less than the other one.
</p>

<dl>

<dt><i>other</i> (BrowserItem)</dt>
<dd>
reference to item to compare against
</dd>
<dt><i>column</i> (int)</dt>
<dd>
column number to use for the comparison
</dd>
<dt><i>_order</i> (Qt.SortOrder)</dt>
<dd>
sort order (for special sorting) (unused)
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
true, if this item is less than other
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserItem.lineno" ID="BrowserItem.lineno"></a>
<h4>BrowserItem.lineno</h4>
<b>lineno</b>(<i></i>)
<p>
        Public method to return the line number of the item.
</p>

<dl>
<dt>Return:</dt>
<dd>
line number defining the object
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
int
</dd>
</dl>
<a NAME="BrowserItem.parent" ID="BrowserItem.parent"></a>
<h4>BrowserItem.parent</h4>
<b>parent</b>(<i></i>)
<p>
        Public method to get the reference to the parent item.
</p>

<dl>
<dt>Return:</dt>
<dd>
reference to the parent item
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
BrowserItem
</dd>
</dl>
<a NAME="BrowserItem.removeChild" ID="BrowserItem.removeChild"></a>
<h4>BrowserItem.removeChild</h4>
<b>removeChild</b>(<i>child</i>)
<p>
        Public method to remove a child.
</p>

<dl>

<dt><i>child</i> (BrowserItem)</dt>
<dd>
reference to the child to remove
</dd>
</dl>
<a NAME="BrowserItem.removeChildren" ID="BrowserItem.removeChildren"></a>
<h4>BrowserItem.removeChildren</h4>
<b>removeChildren</b>(<i></i>)
<p>
        Public method to remove all children.
</p>

<a NAME="BrowserItem.row" ID="BrowserItem.row"></a>
<h4>BrowserItem.row</h4>
<b>row</b>(<i></i>)
<p>
        Public method to get the row number of this item.
</p>

<dl>
<dt>Return:</dt>
<dd>
row number
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
int
</dd>
</dl>
<a NAME="BrowserItem.type" ID="BrowserItem.type"></a>
<h4>BrowserItem.type</h4>
<b>type</b>(<i></i>)
<p>
        Public method to get the item type.
</p>

<dl>
<dt>Return:</dt>
<dd>
type of the item
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
BrowserItemType
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="BrowserItemType" ID="BrowserItemType"></a>
<h2>BrowserItemType</h2>
<p>
    Class defining the various browser item types.
</p>

<h3>Derived from</h3>
enum.Enum
<h3>Class Attributes</h3>
<table>
<tr><td>Attribute</td></tr>
<tr><td>Attributes</td></tr>
<tr><td>Class</td></tr>
<tr><td>Coding</td></tr>
<tr><td>Directory</td></tr>
<tr><td>File</td></tr>
<tr><td>Import</td></tr>
<tr><td>Imports</td></tr>
<tr><td>Method</td></tr>
<tr><td>PbDirectory</td></tr>
<tr><td>PbFile</td></tr>
<tr><td>PbSimpleDirectory</td></tr>
<tr><td>Root</td></tr>
<tr><td>SimpleDirectory</td></tr>
<tr><td>SysPath</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="BrowserMethodItem" ID="BrowserMethodItem"></a>
<h2>BrowserMethodItem</h2>
<p>
    Class implementing the data structure for browser method items.
</p>

<h3>Derived from</h3>
BrowserItem
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#BrowserMethodItem.__init__">BrowserMethodItem</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#BrowserMethodItem.boundaries">boundaries</a></td>
<td>Public method returning the boundaries of the method definition.</td>
</tr>
<tr>
<td><a href="#BrowserMethodItem.colOffset">colOffset</a></td>
<td>Public method to return the column offset of the item definition.</td>
</tr>
<tr>
<td><a href="#BrowserMethodItem.fileName">fileName</a></td>
<td>Public method returning the filename.</td>
</tr>
<tr>
<td><a href="#BrowserMethodItem.functionObject">functionObject</a></td>
<td>Public method returning the function object.</td>
</tr>
<tr>
<td><a href="#BrowserMethodItem.isPublic">isPublic</a></td>
<td>Public method returning the public visibility status.</td>
</tr>
<tr>
<td><a href="#BrowserMethodItem.lessThan">lessThan</a></td>
<td>Public method to check, if the item is less than the other one.</td>
</tr>
<tr>
<td><a href="#BrowserMethodItem.lineno">lineno</a></td>
<td>Public method returning the line number defining this object.</td>
</tr>
<tr>
<td><a href="#BrowserMethodItem.name">name</a></td>
<td>Public method to return the name of the item.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="BrowserMethodItem.__init__" ID="BrowserMethodItem.__init__"></a>
<h4>BrowserMethodItem (Constructor)</h4>
<b>BrowserMethodItem</b>(<i>parent, fn, filename, modelType=BrowserModelType.Generic</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (BrowserItem)</dt>
<dd>
parent item
</dd>
<dt><i>fn</i> (Function)</dt>
<dd>
Function object to be shown
</dd>
<dt><i>filename</i> (str)</dt>
<dd>
filename of the file defining this class
</dd>
<dt><i>modelType</i> (BrowserModelType (optional))</dt>
<dd>
type of the browser model (defaults to
            BrowserModelType.Generic)
</dd>
</dl>
<a NAME="BrowserMethodItem.boundaries" ID="BrowserMethodItem.boundaries"></a>
<h4>BrowserMethodItem.boundaries</h4>
<b>boundaries</b>(<i></i>)
<p>
        Public method returning the boundaries of the method definition.
</p>

<dl>
<dt>Return:</dt>
<dd>
tuple with start end end line number
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
tuple of (int, int)
</dd>
</dl>
<a NAME="BrowserMethodItem.colOffset" ID="BrowserMethodItem.colOffset"></a>
<h4>BrowserMethodItem.colOffset</h4>
<b>colOffset</b>(<i></i>)
<p>
        Public method to return the column offset of the item definition.
</p>

<dl>
<dt>Return:</dt>
<dd>
column offset defining the object
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
int
</dd>
</dl>
<a NAME="BrowserMethodItem.fileName" ID="BrowserMethodItem.fileName"></a>
<h4>BrowserMethodItem.fileName</h4>
<b>fileName</b>(<i></i>)
<p>
        Public method returning the filename.
</p>

<dl>
<dt>Return:</dt>
<dd>
filename
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="BrowserMethodItem.functionObject" ID="BrowserMethodItem.functionObject"></a>
<h4>BrowserMethodItem.functionObject</h4>
<b>functionObject</b>(<i></i>)
<p>
        Public method returning the function object.
</p>

<dl>
<dt>Return:</dt>
<dd>
reference to the function object
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
Function
</dd>
</dl>
<a NAME="BrowserMethodItem.isPublic" ID="BrowserMethodItem.isPublic"></a>
<h4>BrowserMethodItem.isPublic</h4>
<b>isPublic</b>(<i></i>)
<p>
        Public method returning the public visibility status.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating public visibility
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserMethodItem.lessThan" ID="BrowserMethodItem.lessThan"></a>
<h4>BrowserMethodItem.lessThan</h4>
<b>lessThan</b>(<i>other, column, order</i>)
<p>
        Public method to check, if the item is less than the other one.
</p>

<dl>

<dt><i>other</i> (BrowserItem)</dt>
<dd>
reference to item to compare against
</dd>
<dt><i>column</i> (int)</dt>
<dd>
column number to use for the comparison
</dd>
<dt><i>order</i> (Qt.SortOrder)</dt>
<dd>
sort order (for special sorting)
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
true, if this item is less than other
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserMethodItem.lineno" ID="BrowserMethodItem.lineno"></a>
<h4>BrowserMethodItem.lineno</h4>
<b>lineno</b>(<i></i>)
<p>
        Public method returning the line number defining this object.
</p>

<dl>
<dt>Return:</dt>
<dd>
line number defining the object
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
int
</dd>
</dl>
<a NAME="BrowserMethodItem.name" ID="BrowserMethodItem.name"></a>
<h4>BrowserMethodItem.name</h4>
<b>name</b>(<i></i>)
<p>
        Public method to return the name of the item.
</p>

<dl>
<dt>Return:</dt>
<dd>
name of the item
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="BrowserModel" ID="BrowserModel"></a>
<h2>BrowserModel</h2>
<p>
    Class implementing the browser model.
</p>

<h3>Derived from</h3>
QAbstractItemModel
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#BrowserModel.__init__">BrowserModel</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#BrowserModel.__populateModel">__populateModel</a></td>
<td>Private method to populate the browser model.</td>
</tr>
<tr>
<td><a href="#BrowserModel._addItem">_addItem</a></td>
<td>Protected slot to add an item.</td>
</tr>
<tr>
<td><a href="#BrowserModel._addWatchedItem">_addWatchedItem</a></td>
<td>Protected method to watch an item.</td>
</tr>
<tr>
<td><a href="#BrowserModel._removeWatchedItem">_removeWatchedItem</a></td>
<td>Protected method to remove a watched item.</td>
</tr>
<tr>
<td><a href="#BrowserModel.addItem">addItem</a></td>
<td>Public slot to add an item.</td>
</tr>
<tr>
<td><a href="#BrowserModel.addTopLevelDir">addTopLevelDir</a></td>
<td>Public method to add a new toplevel directory.</td>
</tr>
<tr>
<td><a href="#BrowserModel.clear">clear</a></td>
<td>Public method to clear the model.</td>
</tr>
<tr>
<td><a href="#BrowserModel.columnCount">columnCount</a></td>
<td>Public method to get the number of columns.</td>
</tr>
<tr>
<td><a href="#BrowserModel.data">data</a></td>
<td>Public method to get data of an item.</td>
</tr>
<tr>
<td><a href="#BrowserModel.entryCreated">entryCreated</a></td>
<td>Public method to handle the creation of a file or directory.</td>
</tr>
<tr>
<td><a href="#BrowserModel.entryDeleted">entryDeleted</a></td>
<td>Public method to handle the deletion of a file or directory.</td>
</tr>
<tr>
<td><a href="#BrowserModel.fileChanged">fileChanged</a></td>
<td>Public method to react upon file changes.</td>
</tr>
<tr>
<td><a href="#BrowserModel.flags">flags</a></td>
<td>Public method to get the item flags.</td>
</tr>
<tr>
<td><a href="#BrowserModel.hasChildren">hasChildren</a></td>
<td>Public method to check for the presence of child items.</td>
</tr>
<tr>
<td><a href="#BrowserModel.headerData">headerData</a></td>
<td>Public method to get the header data.</td>
</tr>
<tr>
<td><a href="#BrowserModel.index">index</a></td>
<td>Public method to create an index.</td>
</tr>
<tr>
<td><a href="#BrowserModel.interpreterChanged">interpreterChanged</a></td>
<td>Public method to handle a change of the debug client's interpreter.</td>
</tr>
<tr>
<td><a href="#BrowserModel.item">item</a></td>
<td>Public method to get a reference to an item.</td>
</tr>
<tr>
<td><a href="#BrowserModel.parent">parent</a></td>
<td>Public method to get the index of the parent object.</td>
</tr>
<tr>
<td><a href="#BrowserModel.populateClassAttributesItem">populateClassAttributesItem</a></td>
<td>Public method to populate a class attributes item's subtree.</td>
</tr>
<tr>
<td><a href="#BrowserModel.populateClassItem">populateClassItem</a></td>
<td>Public method to populate a class item's subtree.</td>
</tr>
<tr>
<td><a href="#BrowserModel.populateDirectoryItem">populateDirectoryItem</a></td>
<td>Public method to populate a directory item's subtree.</td>
</tr>
<tr>
<td><a href="#BrowserModel.populateFileItem">populateFileItem</a></td>
<td>Public method to populate a file item's subtree.</td>
</tr>
<tr>
<td><a href="#BrowserModel.populateItem">populateItem</a></td>
<td>Public method to populate an item's subtree.</td>
</tr>
<tr>
<td><a href="#BrowserModel.populateMethodItem">populateMethodItem</a></td>
<td>Public method to populate a method item's subtree.</td>
</tr>
<tr>
<td><a href="#BrowserModel.populateSysPathItem">populateSysPathItem</a></td>
<td>Public method to populate a sys.path item's subtree.</td>
</tr>
<tr>
<td><a href="#BrowserModel.programChange">programChange</a></td>
<td>Public method to change the entry for the directory of file being debugged.</td>
</tr>
<tr>
<td><a href="#BrowserModel.removeToplevelDir">removeToplevelDir</a></td>
<td>Public method to remove a toplevel directory.</td>
</tr>
<tr>
<td><a href="#BrowserModel.repopulateFileItem">repopulateFileItem</a></td>
<td>Public method to repopulate a file item.</td>
</tr>
<tr>
<td><a href="#BrowserModel.rowCount">rowCount</a></td>
<td>Public method to get the number of rows.</td>
</tr>
<tr>
<td><a href="#BrowserModel.saveToplevelDirs">saveToplevelDirs</a></td>
<td>Public slot to save the toplevel directories.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="BrowserModel.__init__" ID="BrowserModel.__init__"></a>
<h4>BrowserModel (Constructor)</h4>
<b>BrowserModel</b>(<i>parent=None, nopopulate=False, fsInterface=None, modelType=BrowserModelType.Generic, </i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (QObject (optional))</dt>
<dd>
reference to parent object (defaults to None)
</dd>
<dt><i>nopopulate</i> (bool (optional))</dt>
<dd>
flag indicating to not populate the model (defaults to False)
</dd>
<dt><i>fsInterface</i> (EricServerFileSystemInterface (optional))</dt>
<dd>
reference to the 'eric-ide' server interface object
            (defaults to None)
</dd>
<dt><i>modelType</i> (BrowserModelType (optional))</dt>
<dd>
type of the browser model (defaults to
            BrowserModelType.Generic)
</dd>
</dl>
<a NAME="BrowserModel.__populateModel" ID="BrowserModel.__populateModel"></a>
<h4>BrowserModel.__populateModel</h4>
<b>__populateModel</b>(<i></i>)
<p>
        Private method to populate the browser model.
</p>

<a NAME="BrowserModel._addItem" ID="BrowserModel._addItem"></a>
<h4>BrowserModel._addItem</h4>
<b>_addItem</b>(<i>itm, parentItem</i>)
<p>
        Protected slot to add an item.
</p>

<dl>

<dt><i>itm</i> (BrowserItem)</dt>
<dd>
reference to item to add
</dd>
<dt><i>parentItem</i> (BrowserItem)</dt>
<dd>
reference to item to add to
</dd>
</dl>
<a NAME="BrowserModel._addWatchedItem" ID="BrowserModel._addWatchedItem"></a>
<h4>BrowserModel._addWatchedItem</h4>
<b>_addWatchedItem</b>(<i>itm</i>)
<p>
        Protected method to watch an item.
</p>

<dl>

<dt><i>itm</i> (BrowserDirectoryItem)</dt>
<dd>
item to be watched
</dd>
</dl>
<a NAME="BrowserModel._removeWatchedItem" ID="BrowserModel._removeWatchedItem"></a>
<h4>BrowserModel._removeWatchedItem</h4>
<b>_removeWatchedItem</b>(<i>itm</i>)
<p>
        Protected method to remove a watched item.
</p>

<dl>

<dt><i>itm</i> (BrowserDirectoryItem)</dt>
<dd>
item to be removed
</dd>
</dl>
<a NAME="BrowserModel.addItem" ID="BrowserModel.addItem"></a>
<h4>BrowserModel.addItem</h4>
<b>addItem</b>(<i>itm, parent=None</i>)
<p>
        Public slot to add an item.
</p>

<dl>

<dt><i>itm</i> (BrowserItem)</dt>
<dd>
item to add
</dd>
<dt><i>parent</i> (QModelIndex)</dt>
<dd>
index of parent item
</dd>
</dl>
<a NAME="BrowserModel.addTopLevelDir" ID="BrowserModel.addTopLevelDir"></a>
<h4>BrowserModel.addTopLevelDir</h4>
<b>addTopLevelDir</b>(<i>dirname</i>)
<p>
        Public method to add a new toplevel directory.
</p>

<dl>

<dt><i>dirname</i> (str)</dt>
<dd>
name of the new toplevel directory
</dd>
</dl>
<a NAME="BrowserModel.clear" ID="BrowserModel.clear"></a>
<h4>BrowserModel.clear</h4>
<b>clear</b>(<i></i>)
<p>
        Public method to clear the model.
</p>

<a NAME="BrowserModel.columnCount" ID="BrowserModel.columnCount"></a>
<h4>BrowserModel.columnCount</h4>
<b>columnCount</b>(<i>parent=None</i>)
<p>
        Public method to get the number of columns.
</p>

<dl>

<dt><i>parent</i> (QModelIndex)</dt>
<dd>
index of parent item
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
number of columns
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
int
</dd>
</dl>
<a NAME="BrowserModel.data" ID="BrowserModel.data"></a>
<h4>BrowserModel.data</h4>
<b>data</b>(<i>index, role</i>)
<p>
        Public method to get data of an item.
</p>

<dl>

<dt><i>index</i> (QModelIndex)</dt>
<dd>
index of the data to retrieve
</dd>
<dt><i>role</i> (Qt.ItemDataRole)</dt>
<dd>
role of data
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
requested data
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
Any
</dd>
</dl>
<a NAME="BrowserModel.entryCreated" ID="BrowserModel.entryCreated"></a>
<h4>BrowserModel.entryCreated</h4>
<b>entryCreated</b>(<i>path, isDir=False</i>)
<p>
        Public method to handle the creation of a file or directory.
</p>

<dl>

<dt><i>path</i> (str)</dt>
<dd>
path of the created file or directory
</dd>
<dt><i>isDir</i> (bool (optional))</dt>
<dd>
flag indicating a created directory (defaults to False)
</dd>
</dl>
<a NAME="BrowserModel.entryDeleted" ID="BrowserModel.entryDeleted"></a>
<h4>BrowserModel.entryDeleted</h4>
<b>entryDeleted</b>(<i>path, isDir=False</i>)
<p>
        Public method to handle the deletion of a file or directory.
</p>

<dl>

<dt><i>path</i> (str)</dt>
<dd>
path of the deleted file or directory
</dd>
<dt><i>isDir</i> (bool (optional))</dt>
<dd>
flag indicating a deleted directory (defaults to False) (unused)
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
flag indicating a deletion
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserModel.fileChanged" ID="BrowserModel.fileChanged"></a>
<h4>BrowserModel.fileChanged</h4>
<b>fileChanged</b>(<i>fileName</i>)
<p>
        Public method to react upon file changes.
</p>

<dl>

<dt><i>fileName</i> (str)</dt>
<dd>
path of the changed file
</dd>
</dl>
<a NAME="BrowserModel.flags" ID="BrowserModel.flags"></a>
<h4>BrowserModel.flags</h4>
<b>flags</b>(<i>index</i>)
<p>
        Public method to get the item flags.
</p>

<dl>

<dt><i>index</i> (QModelIndex)</dt>
<dd>
index of the data to retrieve
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
requested flags
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
Qt.ItemFlags
</dd>
</dl>
<a NAME="BrowserModel.hasChildren" ID="BrowserModel.hasChildren"></a>
<h4>BrowserModel.hasChildren</h4>
<b>hasChildren</b>(<i>parent=None</i>)
<p>
        Public method to check for the presence of child items.
</p>
<p>
        We always return True for normal items in order to do lazy
        population of the tree.
</p>

<dl>

<dt><i>parent</i> (QModelIndex)</dt>
<dd>
index of parent item
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
flag indicating the presence of child items
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserModel.headerData" ID="BrowserModel.headerData"></a>
<h4>BrowserModel.headerData</h4>
<b>headerData</b>(<i>section, orientation, role=Qt.ItemDataRole.DisplayRole</i>)
<p>
        Public method to get the header data.
</p>

<dl>

<dt><i>section</i> (int)</dt>
<dd>
number of section to get data for
</dd>
<dt><i>orientation</i> (Qt.Orientation)</dt>
<dd>
header orientation
</dd>
<dt><i>role</i> (Qt.ItemDataRole)</dt>
<dd>
role of data
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
requested header data
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
Any
</dd>
</dl>
<a NAME="BrowserModel.index" ID="BrowserModel.index"></a>
<h4>BrowserModel.index</h4>
<b>index</b>(<i>row, column, parent=None</i>)
<p>
        Public method to create an index.
</p>

<dl>

<dt><i>row</i> (int)</dt>
<dd>
row number of the new index
</dd>
<dt><i>column</i> (int)</dt>
<dd>
column number of the new index
</dd>
<dt><i>parent</i> (QModelIndex)</dt>
<dd>
index of parent item
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
index object
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
QModelIndex
</dd>
</dl>
<a NAME="BrowserModel.interpreterChanged" ID="BrowserModel.interpreterChanged"></a>
<h4>BrowserModel.interpreterChanged</h4>
<b>interpreterChanged</b>(<i>interpreter</i>)
<p>
        Public method to handle a change of the debug client's interpreter.
</p>

<dl>

<dt><i>interpreter</i> (str)</dt>
<dd>
interpreter of the debug client
</dd>
</dl>
<a NAME="BrowserModel.item" ID="BrowserModel.item"></a>
<h4>BrowserModel.item</h4>
<b>item</b>(<i>index</i>)
<p>
        Public method to get a reference to an item.
</p>

<dl>

<dt><i>index</i> (QModelIndex)</dt>
<dd>
index of the data to retrieve
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
requested item reference
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
BrowserItem
</dd>
</dl>
<a NAME="BrowserModel.parent" ID="BrowserModel.parent"></a>
<h4>BrowserModel.parent</h4>
<b>parent</b>(<i>index</i>)
<p>
        Public method to get the index of the parent object.
</p>

<dl>

<dt><i>index</i> (QModelIndex)</dt>
<dd>
index of the item
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
index of parent item
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
QModelIndex
</dd>
</dl>
<a NAME="BrowserModel.populateClassAttributesItem" ID="BrowserModel.populateClassAttributesItem"></a>
<h4>BrowserModel.populateClassAttributesItem</h4>
<b>populateClassAttributesItem</b>(<i>parentItem, repopulate=False</i>)
<p>
        Public method to populate a class attributes item's subtree.
</p>

<dl>

<dt><i>parentItem</i> (BrowserClassAttributesItem)</dt>
<dd>
reference to the class attributes item to be
            populated
</dd>
<dt><i>repopulate</i> (bool)</dt>
<dd>
flag indicating a repopulation
</dd>
</dl>
<a NAME="BrowserModel.populateClassItem" ID="BrowserModel.populateClassItem"></a>
<h4>BrowserModel.populateClassItem</h4>
<b>populateClassItem</b>(<i>parentItem, repopulate=False</i>)
<p>
        Public method to populate a class item's subtree.
</p>

<dl>

<dt><i>parentItem</i> (BrowserClassItem)</dt>
<dd>
reference to the class item to be populated
</dd>
<dt><i>repopulate</i> (bool)</dt>
<dd>
flag indicating a repopulation
</dd>
</dl>
<a NAME="BrowserModel.populateDirectoryItem" ID="BrowserModel.populateDirectoryItem"></a>
<h4>BrowserModel.populateDirectoryItem</h4>
<b>populateDirectoryItem</b>(<i>parentItem, repopulate=False</i>)
<p>
        Public method to populate a directory item's subtree.
</p>

<dl>

<dt><i>parentItem</i> (BrowserDirectoryItem)</dt>
<dd>
reference to the directory item to be populated
</dd>
<dt><i>repopulate</i> (bool)</dt>
<dd>
flag indicating a repopulation
</dd>
</dl>
<a NAME="BrowserModel.populateFileItem" ID="BrowserModel.populateFileItem"></a>
<h4>BrowserModel.populateFileItem</h4>
<b>populateFileItem</b>(<i>parentItem, repopulate=False</i>)
<p>
        Public method to populate a file item's subtree.
</p>

<dl>

<dt><i>parentItem</i> (BrowserFileItem)</dt>
<dd>
reference to the file item to be populated
</dd>
<dt><i>repopulate</i> (bool)</dt>
<dd>
flag indicating a repopulation
</dd>
</dl>
<a NAME="BrowserModel.populateItem" ID="BrowserModel.populateItem"></a>
<h4>BrowserModel.populateItem</h4>
<b>populateItem</b>(<i>parentItem, repopulate=False</i>)
<p>
        Public method to populate an item's subtree.
</p>

<dl>

<dt><i>parentItem</i> (BrowserItem)</dt>
<dd>
reference to the item to be populated
</dd>
<dt><i>repopulate</i> (bool)</dt>
<dd>
flag indicating a repopulation
</dd>
</dl>
<a NAME="BrowserModel.populateMethodItem" ID="BrowserModel.populateMethodItem"></a>
<h4>BrowserModel.populateMethodItem</h4>
<b>populateMethodItem</b>(<i>parentItem, repopulate=False</i>)
<p>
        Public method to populate a method item's subtree.
</p>

<dl>

<dt><i>parentItem</i> (BrowserItem)</dt>
<dd>
reference to the method item to be populated
</dd>
<dt><i>repopulate</i> (bool)</dt>
<dd>
flag indicating a repopulation
</dd>
</dl>
<a NAME="BrowserModel.populateSysPathItem" ID="BrowserModel.populateSysPathItem"></a>
<h4>BrowserModel.populateSysPathItem</h4>
<b>populateSysPathItem</b>(<i>parentItem, repopulate=False</i>)
<p>
        Public method to populate a sys.path item's subtree.
</p>

<dl>

<dt><i>parentItem</i> (BrowserSysPathItem)</dt>
<dd>
reference to the sys.path item to be populated
</dd>
<dt><i>repopulate</i> (bool)</dt>
<dd>
flag indicating a repopulation
</dd>
</dl>
<a NAME="BrowserModel.programChange" ID="BrowserModel.programChange"></a>
<h4>BrowserModel.programChange</h4>
<b>programChange</b>(<i>dirname</i>)
<p>
        Public method to change the entry for the directory of file being
        debugged.
</p>

<dl>

<dt><i>dirname</i> (str)</dt>
<dd>
name of the directory containing the file
</dd>
</dl>
<a NAME="BrowserModel.removeToplevelDir" ID="BrowserModel.removeToplevelDir"></a>
<h4>BrowserModel.removeToplevelDir</h4>
<b>removeToplevelDir</b>(<i>index</i>)
<p>
        Public method to remove a toplevel directory.
</p>

<dl>

<dt><i>index</i> (QModelIndex)</dt>
<dd>
index of the toplevel directory to be removed
</dd>
</dl>
<a NAME="BrowserModel.repopulateFileItem" ID="BrowserModel.repopulateFileItem"></a>
<h4>BrowserModel.repopulateFileItem</h4>
<b>repopulateFileItem</b>(<i>itm</i>)
<p>
        Public method to repopulate a file item.
</p>

<dl>

<dt><i>itm</i> (BrowserFileItem)</dt>
<dd>
reference to the item to be repopulated
</dd>
</dl>
<a NAME="BrowserModel.rowCount" ID="BrowserModel.rowCount"></a>
<h4>BrowserModel.rowCount</h4>
<b>rowCount</b>(<i>parent=None</i>)
<p>
        Public method to get the number of rows.
</p>

<dl>

<dt><i>parent</i> (QModelIndex)</dt>
<dd>
index of parent item
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
number of rows
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
int
</dd>
</dl>
<a NAME="BrowserModel.saveToplevelDirs" ID="BrowserModel.saveToplevelDirs"></a>
<h4>BrowserModel.saveToplevelDirs</h4>
<b>saveToplevelDirs</b>(<i></i>)
<p>
        Public slot to save the toplevel directories.
</p>

<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="BrowserModelType" ID="BrowserModelType"></a>
<h2>BrowserModelType</h2>
<p>
    Class defining the various browser model types.
</p>

<h3>Derived from</h3>
enum.Enum
<h3>Class Attributes</h3>
<table>
<tr><td>EditorOutline</td></tr>
<tr><td>Generic</td></tr>
<tr><td>Project</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="BrowserSimpleDirectoryItem" ID="BrowserSimpleDirectoryItem"></a>
<h2>BrowserSimpleDirectoryItem</h2>
<p>
    Class implementing the data structure for browser simple directory items.
</p>

<h3>Derived from</h3>
BrowserItem
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#BrowserSimpleDirectoryItem.__init__">BrowserSimpleDirectoryItem</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#BrowserSimpleDirectoryItem.dirName">dirName</a></td>
<td>Public method returning the directory name.</td>
</tr>
<tr>
<td><a href="#BrowserSimpleDirectoryItem.lessThan">lessThan</a></td>
<td>Public method to check, if the item is less than the other one.</td>
</tr>
<tr>
<td><a href="#BrowserSimpleDirectoryItem.name">name</a></td>
<td>Public method to return the name of the item.</td>
</tr>
<tr>
<td><a href="#BrowserSimpleDirectoryItem.setName">setName</a></td>
<td>Public method to set the directory name.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="BrowserSimpleDirectoryItem.__init__" ID="BrowserSimpleDirectoryItem.__init__"></a>
<h4>BrowserSimpleDirectoryItem (Constructor)</h4>
<b>BrowserSimpleDirectoryItem</b>(<i>parent, text, path="", fsInterface=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (BrowserItem)</dt>
<dd>
parent item
</dd>
<dt><i>text</i> (str)</dt>
<dd>
text to be displayed
</dd>
<dt><i>path</i> (str)</dt>
<dd>
path of the directory
</dd>
<dt><i>fsInterface</i> (EricServerFileSystemInterface (optional))</dt>
<dd>
reference to the 'eric-ide' server file system interface
            (defaults to None)
</dd>
</dl>
<a NAME="BrowserSimpleDirectoryItem.dirName" ID="BrowserSimpleDirectoryItem.dirName"></a>
<h4>BrowserSimpleDirectoryItem.dirName</h4>
<b>dirName</b>(<i></i>)
<p>
        Public method returning the directory name.
</p>

<dl>
<dt>Return:</dt>
<dd>
directory name
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="BrowserSimpleDirectoryItem.lessThan" ID="BrowserSimpleDirectoryItem.lessThan"></a>
<h4>BrowserSimpleDirectoryItem.lessThan</h4>
<b>lessThan</b>(<i>other, column, order</i>)
<p>
        Public method to check, if the item is less than the other one.
</p>

<dl>

<dt><i>other</i> (BrowserItem)</dt>
<dd>
reference to item to compare against
</dd>
<dt><i>column</i> (int)</dt>
<dd>
column number to use for the comparison
</dd>
<dt><i>order</i> (Qt.SortOrder)</dt>
<dd>
sort order (for special sorting)
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
true, if this item is less than other
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="BrowserSimpleDirectoryItem.name" ID="BrowserSimpleDirectoryItem.name"></a>
<h4>BrowserSimpleDirectoryItem.name</h4>
<b>name</b>(<i></i>)
<p>
        Public method to return the name of the item.
</p>

<dl>
<dt>Return:</dt>
<dd>
name of the item
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="BrowserSimpleDirectoryItem.setName" ID="BrowserSimpleDirectoryItem.setName"></a>
<h4>BrowserSimpleDirectoryItem.setName</h4>
<b>setName</b>(<i>dinfo, full=True</i>)
<p>
        Public method to set the directory name.
</p>

<dl>

<dt><i>dinfo</i> (str)</dt>
<dd>
dinfo is the string for the directory
</dd>
<dt><i>full</i> (bool)</dt>
<dd>
flag indicating full path name should be displayed (unused)
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="BrowserSysPathItem" ID="BrowserSysPathItem"></a>
<h2>BrowserSysPathItem</h2>
<p>
    Class implementing the data structure for browser sys.path items.
</p>

<h3>Derived from</h3>
BrowserItem
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#BrowserSysPathItem.__init__">BrowserSysPathItem</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#BrowserSysPathItem.name">name</a></td>
<td>Public method to return the name of the item.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="BrowserSysPathItem.__init__" ID="BrowserSysPathItem.__init__"></a>
<h4>BrowserSysPathItem (Constructor)</h4>
<b>BrowserSysPathItem</b>(<i>parent</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (BrowserItem)</dt>
<dd>
parent item
</dd>
</dl>
<a NAME="BrowserSysPathItem.name" ID="BrowserSysPathItem.name"></a>
<h4>BrowserSysPathItem.name</h4>
<b>name</b>(<i></i>)
<p>
        Public method to return the name of the item.
</p>

<dl>
<dt>Return:</dt>
<dd>
name of the item
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
